Bug 857343 - When resuming from hibernation, num lock led blink and killing gnome-settings-daemon resolves the problem
When resuming from hibernation, num lock led blink and killing gnome-settings...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-14 03:23 EDT by Mildred
Modified: 2013-07-31 17:03 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 17:03:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mildred 2012-09-14 03:23:37 EDT
Description of problem: When resuming from hibernation, sometimes, the num lock led blink very fast. It's easy to mistake the LED being either enabled or disabled. Ifyou press numlock, you can see it changes the led status but very quickly, then it changes again. If you have digits in your password, it's easy to mistype the password and to wonder why you can't log in back.

Workaround: log in using the digits on the alphanumeric keyboard and killall gnome-settings-daemon. I'm using GNOME 3 and I didn't notice any lack of functionnality afterwards, nor any style change.

Version-Release number of selected component (if applicable): gnome-settings-daemon-3.4.2-3.fc17.i686 (but it's not new)

How reproducible: often
Steps to Reproduce: hibernate then resume
Actual results: Num Lock LED blinks
Expected results: no blinking

Additional info: I heard one of my coworkers having the same problem on a computer installed completely differently. It might be a Fedora or not, I don't remember. It should rule out a configuration problem in my profile.
Comment 1 Josh Stone 2012-09-25 19:32:19 EDT
I'm experiencing a similar problem, though not related to hibernation.

Mine appears to be because GNOME remembered a previous login where I had numlock off, then as soon as I started synergyc to my main computer where numlock was on, then gnome-settings-daemon started burning >100% CPU and the numlock toggled on/off rapidly.  Also dconf-service burns ~20% CPU.  My solution was to manually turn numlock on first, then connect synergyc, and now they aren't fighting.

However, if I ever toggle numlock while synergy is connected, then it all goes haywire again and I have to log out and carefully restore the balance.  Even killing synergyc is not enough.  My guess is there may be a race between something updating the numlock preference versus restoring the old preference, and when they get out of step it results in constant toggling.

For your situation, perhaps see if you also have some program that's manipulating numlock the way synergyc is for me.  It may just be the hibernation/resume processes doing it though.
Comment 2 Mildred 2012-10-11 04:21:04 EDT
Happened again.

I have now two gnome-settings-daemon services fighting for num lock, each with their own dconf-service daemon.

One gnome-service-daemon has:
- PID: 1459
- Time: 27 min

The other:
- PID: 1468
- Time: 11 min

I checked in the /proc filesystem, both have the same environment variables (environ file), the same command line and the same working directory.

When I kill one of the gnome-settings-daemon, the num lock blinking is fixed.

It might be a bug in gnome-settings-daemon that do not check it is already running. There should be some kind of lock I assume.
Comment 3 Hannes Frederic Sowa 2012-10-19 16:54:21 EDT
I also see strange things happening with my num lock. Especially under higher loaded systems, when I press num lock to verify that my kernel did not get hung, I see endless toggling of the led and high cpu load of gnome-settings-daemon.

I now tried to avoid this problem by toggling
org.gnome.settings-daemon.peripherals.keyboard/remember-numlock-state to false.

Did not happen since then, but I did not thoroughly verified this.

This is a truly annoying bug.
Comment 4 Hannes Frederic Sowa 2012-10-19 17:34:24 EDT
Above workaround doesn't help, sorry. It just happened again. If this is the same problem (I guess), it is pretty easily reproduceable: Just bring your machine to swap(in my case pretty big mmap+updates) until it does not really react to num lock any more. After the load calms down, num lock won't stop blinking and g-s-d has 100% cpu load.
Comment 5 ernest.beinrohr 2013-03-30 13:24:44 EDT
Blinking numlock LED here too. No Gnome3, i'm using mate-desktop with some kde3 (trinity) apps.

After killing 'mate-settings-daemon' the LED started acting normal again.

fc17, mate 1.5
Comment 6 Fedora End Of Life 2013-07-03 16:44:28 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-07-31 17:03:31 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.